import { csv } from 'd3';

export const getData = () => 
	// Load Data Files
	Promise
		.all([
   		csv('https://vizhub.com/curran/datasets/auto-mpg.csv')
  	])
		.then(([csvData]) => {
      // Convert Data
     	csvData.forEach(d => {
        d.mpg = +d.mpg;
        d.cylinders = +d.cylinders;
        d.displacement = +d.displacement;
        d.horsepower = +d.horsepower;
        d.weight = +d.weight;
        d.acceleration = +d.acceleration;
        d.year = +d.year;
	  	});
      
			return csvData;
	});